#!/bin/bash
#
# For producing plots of lidar data...
#

set -x

DATA_DIR=/mnt/cdrom

OPTIONS="-hourrange 0 24 -verbose"

CEILPLOT="ceilplot -noisefactor 4 $OPTIONS"
CEILPLOT_NOCLEAN="$CEILPLOT -noclean"

MASK=".*"
#MASK="81117"

if [ "$#" -lt 1 ]
then
	EVENTS=$(ls -1 $DATA_DIR | egrep '[cC]'$MASK'...[dD][aA][tT]' | cut -c2-6 | sort -u)
else
	EVENTS=$(echo $@ | tr " " "\n" | cut -c4-8)
fi

PREFIX=199

LAST_FILE=""


for EVENT in $EVENTS
do
	NEW_FILES=$(echo $DATA_DIR/[cC]$EVENT??.[dD][aA][tT])
	FILES="$LAST_FILE $NEW_FILES"
	echo $PREFIX$EVENT 2>&1
	DATE="-date $PREFIX$EVENT"
	nice cat $FILES | $CEILPLOT $DATE > $PREFIX${EVENT}_lc_new.png
	nice cat $FILES | $CEILPLOT_NOCLEAN $DATE \
		> $PREFIX${EVENT}_lc_raw.png
	LAST_FILE=$(echo $FILES | tr " " "\n" | tail -1)
done

